Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022300
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 07. Sales managementmajoralways2012-11-14 13:372013-04-09 11:34
ReporteregoitzView Statuspublic 
Assigned Toeduardo_Argal 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision768fee4f6be2
ProjectionnoneETAnoneTarget Version3.0MP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP16.1SCM revision 
Review Assigned Toegoitz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022300: Long time to unpost a sales invoice where there are too many rows on fact_acct table

DescriptionLong time to unpost a sales invoice where there are too many rows on fact_acct table
Steps To Reproduce-On a instance with a lot of entries on the fact_acct for invoice try to unpost a sales invoice.
It takes more than 40 seconds.
TagsNo tags attached.
Attached Filesdiff file icon 22300.diff [^] (1,397 bytes) 2012-11-14 13:38 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 00211653.0MP14 closedjonalegriaesarte Unpost process takes a long time when working with high volumes 

-  Notes
(0054226)
egoitz (developer)
2012-11-14 13:38

possible solution attached
(0054803)
hgbot (developer)
2012-12-10 16:36

Repository: erp/devel/pi
Changeset: 3c096d9564b07aaef3c8673c83fe85c511fa5f3d
Author: Jon Alegría <jon.alegria <at> openbravo.com>
Date: Mon Dec 10 16:35:46 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3c096d9564b07aaef3c8673c83fe85c511fa5f3d [^]

Fixes issue 0022300: Long time to unpost a sales invoice where there are too
many rows on fact_acct table

---
M src-db/database/model/functions/FACT_ACCT_RESET.xml
---
(0054805)
jonalegriaesarte (reporter)
2012-12-10 16:41

Backout in changeset https://code.openbravo.com/erp/devel/pi/rev/5270d6777557 [^]
(0054863)
hudsonbot (developer)
2012-12-11 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/3b1b5e2f6c63 [^]

Maturity status: Test
(0054883)
hgbot (developer)
2012-12-12 12:06

Repository: erp/devel/pi
Changeset: 1b7d9e96eb3054c2c0bed3d308962e8c5d47a52a
Author: Jon Alegría <jon.alegria <at> openbravo.com>
Date: Wed Dec 12 12:06:03 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1b7d9e96eb3054c2c0bed3d308962e8c5d47a52a [^]

Fixes issue 0022300: Long time to unpost a sales invoice where there are too
many rows on fact_acct table

---
M src-db/database/model/functions/FACT_ACCT_RESET.xml
---
(0054987)
hudsonbot (developer)
2012-12-17 13:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c79ef1b1f830 [^]

Maturity status: Test
(0055414)
egoitz (developer)
2013-01-09 11:05

verified
(0056286)
hgbot (developer)
2013-02-08 10:48

Repository: erp/devel/pi
Changeset: 208b97d8cc6dd3d171c37739d2b9602a95b2082f
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Fri Feb 08 10:48:08 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/208b97d8cc6dd3d171c37739d2b9602a95b2082f [^]

Fixes issue 23014, related to issue 22300: Backout of changeset 1b7d9e96eb30.

---
M src-db/database/model/functions/FACT_ACCT_RESET.xml
---
(0056313)
hudsonbot (developer)
2013-02-09 07:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0873c2b712e7 [^]

Maturity status: Test
(0057270)
hgbot (developer)
2013-03-15 12:11

Repository: erp/devel/pi
Changeset: 768fee4f6be21a6df0a6e9a97f3ae6b87ba1efb1
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Mar 14 15:08:23 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/768fee4f6be21a6df0a6e9a97f3ae6b87ba1efb1 [^]

Fixed 22300 Reset accouting process refactor

---
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_PROCESS_PARA.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src/org/openbravo/erpCommon/ad_actionButton/Posted.java
A src/org/openbravo/erpCommon/ad_process/ResetAccountingProcess.java
A src/org/openbravo/financial/ResetAccounting.java
---
(0057273)
hgbot (developer)
2013-03-15 12:12

Repository: erp/devel/api-checks
Changeset: 3f46767e5378107ad5519f6e9c82b583587dd500
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Mar 14 17:38:49 2013 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/3f46767e5378107ad5519f6e9c82b583587dd500 [^]

Related to issue 22300 fixed api change

---
M model/src-db/database/sourcedata/AD_PROCESS.xml
M model/src-db/database/sourcedata/AD_PROCESS_PARA.xml
---
(0057274)
hgbot (developer)
2013-03-15 12:19

Repository: erp/devel/api-checks
Changeset: fc94b6ce426ab1ffef6ed89a2da44dfa318f2bcc
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Mar 15 12:19:00 2013 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/fc94b6ce426ab1ffef6ed89a2da44dfa318f2bcc [^]

Related to issue 22300 fixed api change

---
M java/reference/java.japi.gz
---
(0057389)
hgbot (developer)
2013-03-22 13:24

Repository: erp/devel/api-checks
Changeset: 1b6e7302a54682b6d8e25db4e1937b5b1e93e62b
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Mar 14 17:38:49 2013 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/1b6e7302a54682b6d8e25db4e1937b5b1e93e62b [^]

Related to issue 22300 fixed api change

---
M model/src-db/database/sourcedata/AD_PROCESS.xml
M model/src-db/database/sourcedata/AD_PROCESS_PARA.xml
---
(0057390)
hgbot (developer)
2013-03-22 13:40

Repository: erp/devel/api-checks
Changeset: 61b4bdc80339316cab65a3392fa7bfe160020858
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Mar 22 13:39:29 2013 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/61b4bdc80339316cab65a3392fa7bfe160020858 [^]

Related to issue 22300 fixed api change

---
M java/reference/java.japi.gz
---
(0057449)
hgbot (developer)
2013-03-25 17:33

Repository: erp/devel/pi
Changeset: 0419d3571df6a2de19bb62c78d881e5951c2860f
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 25 17:32:56 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0419d3571df6a2de19bb62c78d881e5951c2860f [^]

Related to Issue 22300. Blocks Unpost of a Document if the Period
is closed for that DocBaseType.

---
M src/org/openbravo/erpCommon/ad_callouts/SL_Invoice_Amt.java
M src/org/openbravo/financial/ResetAccounting.java
---
(0057472)
hudsonbot (developer)
2013-03-26 16:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2d2b0f1dddcd [^]

Maturity status: Test
(0057505)
hgbot (developer)
2013-03-27 16:38

Repository: erp/devel/pi
Changeset: 3f1d1d393dcb7690c703d144ecff19011ee216c3
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Wed Mar 27 16:38:52 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3f1d1d393dcb7690c703d144ecff19011ee216c3 [^]

Related to issue 22300 and open/close period project

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/OpenClosePeriodHandler.java
M src/org/openbravo/erpCommon/ad_actionButton/Posted.java
M src/org/openbravo/erpCommon/ad_process/ResetAccountingProcess.java
M src/org/openbravo/erpCommon/businessUtility/PeriodControlUtility.java
M src/org/openbravo/financial/ResetAccounting.java
---
(0057550)
hudsonbot (developer)
2013-04-01 18:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/80299f4b6436 [^]

Maturity status: Test
(0057563)
hgbot (developer)
2013-04-02 11:54

Repository: erp/devel/pi
Changeset: 30ee194bb3a5b94c5322874eba9894c3ef490fb8
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Apr 02 11:49:58 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/30ee194bb3a5b94c5322874eba9894c3ef490fb8 [^]

Related to issue 22300

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0057755)
hudsonbot (developer)
2013-04-07 01:03

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b03a336bd23b [^]

Maturity status: Test
(0057790)
hgbot (developer)
2013-04-08 18:49

Repository: erp/devel/pi
Changeset: 76cf439f486f0dbcb2a439a307ea1dae202a6926
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Apr 08 18:49:05 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/76cf439f486f0dbcb2a439a307ea1dae202a6926 [^]

Related to Issue 22300. Removes wrongly commented section.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/Reconciliation.java
---
(0057792)
dmiguelez (developer)
2013-04-08 19:38

Code Review + Testing OK
(0057796)
hudsonbot (developer)
2013-04-09 11:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/905aa948183a [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-11-14 13:37 egoitz New Issue
2012-11-14 13:37 egoitz Assigned To => dmiguelez
2012-11-14 13:37 egoitz Modules => Core
2012-11-14 13:37 egoitz Relationship added has duplicate 0021165
2012-11-14 13:38 egoitz File Added: 22300.diff
2012-11-14 13:38 egoitz Note Added: 0054226
2012-11-14 16:46 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2012-12-04 11:50 jonalegriaesarte Target Version 3.0MP18 => 3.0MP19
2012-12-10 16:36 hgbot Checkin
2012-12-10 16:36 hgbot Note Added: 0054803
2012-12-10 16:36 hgbot Status new => resolved
2012-12-10 16:36 hgbot Resolution open => fixed
2012-12-10 16:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3c096d9564b07aaef3c8673c83fe85c511fa5f3d [^]
2012-12-10 16:41 jonalegriaesarte Note Added: 0054805
2012-12-10 16:41 jonalegriaesarte Status resolved => new
2012-12-10 16:41 jonalegriaesarte Resolution fixed => open
2012-12-11 17:54 hudsonbot Checkin
2012-12-11 17:54 hudsonbot Note Added: 0054863
2012-12-12 12:06 hgbot Checkin
2012-12-12 12:06 hgbot Note Added: 0054883
2012-12-12 12:06 hgbot Status new => resolved
2012-12-12 12:06 hgbot Resolution open => fixed
2012-12-12 12:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/3c096d9564b07aaef3c8673c83fe85c511fa5f3d [^] => http://code.openbravo.com/erp/devel/pi/rev/1b7d9e96eb3054c2c0bed3d308962e8c5d47a52a [^]
2012-12-17 13:33 hudsonbot Checkin
2012-12-17 13:33 hudsonbot Note Added: 0054987
2013-01-09 11:05 egoitz Review Assigned To => egoitz
2013-01-09 11:05 egoitz Note Added: 0055414
2013-01-09 11:05 egoitz Status resolved => closed
2013-01-09 11:05 egoitz Fixed in Version => 3.0MP19
2013-02-08 10:48 hgbot Checkin
2013-02-08 10:48 hgbot Note Added: 0056286
2013-02-08 10:55 eduardo_Argal Assigned To jonalegriaesarte => eduardo_Argal
2013-02-08 10:55 eduardo_Argal Status closed => new
2013-02-08 10:55 eduardo_Argal Resolution fixed => open
2013-02-08 10:55 eduardo_Argal Fixed in Version 3.0MP19 =>
2013-02-08 10:56 eduardo_Argal Triggers an Emergency Pack => No
2013-02-08 10:56 eduardo_Argal Type defect => design defect
2013-02-09 07:24 hudsonbot Checkin
2013-02-09 07:24 hudsonbot Note Added: 0056313
2013-03-15 12:11 hgbot Checkin
2013-03-15 12:11 hgbot Note Added: 0057270
2013-03-15 12:11 hgbot Status new => resolved
2013-03-15 12:11 hgbot Resolution open => fixed
2013-03-15 12:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/1b7d9e96eb3054c2c0bed3d308962e8c5d47a52a [^] => http://code.openbravo.com/erp/devel/pi/rev/768fee4f6be21a6df0a6e9a97f3ae6b87ba1efb1 [^]
2013-03-15 12:12 hgbot Checkin
2013-03-15 12:12 hgbot Note Added: 0057273
2013-03-15 12:19 hgbot Checkin
2013-03-15 12:19 hgbot Note Added: 0057274
2013-03-22 13:24 hgbot Checkin
2013-03-22 13:24 hgbot Note Added: 0057389
2013-03-22 13:40 hgbot Checkin
2013-03-22 13:40 hgbot Note Added: 0057390
2013-03-25 17:33 hgbot Checkin
2013-03-25 17:33 hgbot Note Added: 0057449
2013-03-26 16:39 hudsonbot Checkin
2013-03-26 16:39 hudsonbot Note Added: 0057472
2013-03-27 16:38 hgbot Checkin
2013-03-27 16:38 hgbot Note Added: 0057505
2013-04-01 18:58 hudsonbot Checkin
2013-04-01 18:58 hudsonbot Note Added: 0057550
2013-04-02 11:54 hgbot Checkin
2013-04-02 11:54 hgbot Note Added: 0057563
2013-04-07 01:03 hudsonbot Checkin
2013-04-07 01:03 hudsonbot Note Added: 0057755
2013-04-08 18:49 hgbot Checkin
2013-04-08 18:49 hgbot Note Added: 0057790
2013-04-08 19:38 dmiguelez Note Added: 0057792
2013-04-08 19:38 dmiguelez Status resolved => closed
2013-04-09 11:34 hudsonbot Checkin
2013-04-09 11:34 hudsonbot Note Added: 0057796


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker